Bug 1478194 - PCL 1.8 is linked against Libboost 1.60, but Fedora 26 has Libboost 1.6.3 by default
PCL 1.8 is linked against Libboost 1.60, but Fedora 26 has Libboost 1.6.3 by ...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: pcl (Show other bugs)
26
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Tim Niemueller
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-03 16:56 EDT by Arya S.
Modified: 2017-08-07 21:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-04 09:23:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arya S. 2017-08-03 16:56:07 EDT
Description of problem:
PCL 1.8 is linked against Libboost 1.60, but Fedora 26 has Libboost 1.6.3 by default.


Version-Release number of selected component (if applicable):
1.8.0-7.fc26

How reproducible:
always

Steps to Reproduce:
1. Install pcl-dev from dnf
2. check linked library on one of pcl .so file
3. e.g. # ldd /lib/libpcl_common.so.1.8


Actual results:
linux-vdso.so.1 (0x00007ffed6425000)
	libboost_system.so.1.60.0 => not found
	libboost_thread.so.1.60.0 => not found
	libstdc++.so.6 => /lib64/libstdc++.so.6 (0x00007f25eb4b7000)
	libm.so.6 => /lib64/libm.so.6 (0x00007f25eb1a1000)
	libgomp.so.1 => /lib64/libgomp.so.1 (0x00007f25eaf70000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007f25ead59000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f25eab3a000)
	libc.so.6 => /lib64/libc.so.6 (0x00007f25ea769000)
	/lib64/ld-linux-x86-64.so.2 (0x0000556eb317f000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00007f25ea565000)

Expected results:
linux-vdso.so.1 (0x00007ffed6425000)
	libboost_system.so.1.63.0 => /usr/lib64/libboost_system.so.1.63.0
	libboost_thread.so.1.63.0 => /usr/lib64/libboost_thread.so.1.63.0
	libstdc++.so.6 => /lib64/libstdc++.so.6 (0x00007f25eb4b7000)
	libm.so.6 => /lib64/libm.so.6 (0x00007f25eb1a1000)
	libgomp.so.1 => /lib64/libgomp.so.1 (0x00007f25eaf70000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007f25ead59000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f25eab3a000)
	libc.so.6 => /lib64/libc.so.6 (0x00007f25ea769000)
	/lib64/ld-linux-x86-64.so.2 (0x0000556eb317f000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00007f25ea565000)

Additional info:
Current version of liboost installed in fedora is boost-1.63.0-5.fc26
Comment 1 Arya S. 2017-08-04 09:23:29 EDT
Sorry, apparently it's my system I did dnf reinstall for pcl, pcl-devel, and boost and the correct version of boost library is linked in the libboost_*.so. Closed
Comment 2 Rich Mattes 2017-08-07 21:24:56 EDT
No problem, thanks for following up!

Note You need to log in before you can comment on or make changes to this bug.